Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599079 - No metrics are shown in CFME with openshift 3.9 with Prometheus
Summary: No metrics are shown in CFME with openshift 3.9 with Prometheus
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Oved Ourfali
QA Contact: Shalom Naim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-08 15:31 UTC by Shalom Naim
Modified: 2018-07-29 03:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-09 18:26:34 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshots (deleted)
2018-07-08 15:34 UTC, Shalom Naim
no flags Details

Description Shalom Naim 2018-07-08 15:31:50 UTC
Description of problem:

I setup container provider on CFME with metrics endpoint and enabled C&U.

after an hour I tried to get metrics info for the provider but no data exists both in the dashboard and Ad hock metrics page.

In the provider summary page, I found that metrics collection actually happen and finished successfully.
In the Prometheus side, I ensured that Prometheus is running and collect metrics.


Version-Release number of selected component (if applicable):
CFME version:

Version 5.9.3.4.20180702181921_afd03d7
Server Name EVM
User Name Administrator
User Role EvmRole-super_administrator
Browser Chrome
Browser Version 67
Browser OS Linux

Openshift Version:
 
oc v3.9.14
kubernetes v1.9.1+a0ce1bc657
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://master.internal:8443
openshift v3.9.14
kubernetes v1.9.1+a0ce1bc657


How reproducible:
100%

Steps to Reproduce:
1. Add container provider with Prometheus and Enable C&U
2. Wait for 50 mins for metrics collection
3. Open the dashboard page of the provider

Actual results:
No metrics collected, all dashboard display empty output

Expected results:
Metrics got collected and exist in both dashboard and Ad-hoc page

Additional info:
See attachments

Comment 2 Shalom Naim 2018-07-08 15:34:32 UTC
Created attachment 1457292 [details]
screenshots


Note You need to log in before you can comment on or make changes to this bug.